#include <iostream>
#include <vector>

using namespace std;

int main(){


    int N, L;
    bool provera = true;
    cin >> N >> L;
    int broj = 0;
    vector<int> H(N);

    for(int i = 1; i < N; i++){
        cin >> H[i];
        if(H[i] <= L){
            broj = i;
            }
        }


    if(broj == 0){
        cout << -1 << endl;
    }
    else{
        cout << broj;
    }

    return 0;
    }